package smart_gs.drawing_tool.drawing_mode;

import java.awt.Graphics;

import smart_gs.drawing_tool.LineSegEditorCanvas;
import smart_gs.swingui.GSMouseEvent;

public interface LineSegEditorMode {
	public void mouseClicked(GSMouseEvent e,LineSegEditorCanvas canvas);
	public void mouseEntered(GSMouseEvent e,LineSegEditorCanvas canvas);
	public void mouseExited(GSMouseEvent e,LineSegEditorCanvas canvas) ;    
	public void mousePressed(GSMouseEvent e,LineSegEditorCanvas canvas);
	public void mouseReleased(GSMouseEvent e,LineSegEditorCanvas canvas); 
	public void mouseDragged(GSMouseEvent e,LineSegEditorCanvas canvas); 
	public void mouseMoved(GSMouseEvent e,LineSegEditorCanvas canvas) ;
	public void paint(Graphics g,LineSegEditorCanvas canvas);
	public void cancel();
}